n=100;
X=rand(1,n);
media = mean(X)
varianza=var(X)

figure(1); % istogramma
dx=0.1; x=[0+dx/2:dx:1-dx/2];
N=hist(X,x); % hist conta il numero di elementi di X
% che cadono attorno ai punti definiti da x.
P=N/(n*dx); % approx. della densita’ di probabilita
bar(x,P,1); hold on;
x=[0:0.01:1]; plot(x, 1+0*x, '-r'); % grafico della pdf esatta
hold off
figure(2); % distribuzione cumulativa
cdfplot(X); hold on; % grafico della distribuzione empirica
x=[0:.01:1]; plot(x,x,'-r'); % grafico della cdf esatta

